#ifndef F_CPU
#define F_CPU 16000000UL
#endif
#include <avr/io.h>
#include <util/delay.h>




uint16_t read_adc(uint8_t channel)
{
    // read analog value from specified channel of port C
    ADMUX = 0x40;
    ADMUX |= channel;
    ADCSRA = 0xC6;
    while ((ADCSRA & (1<<ADSC)))
        ;
    return ADCL + ADCH*256;
}

int main()
{  uint16_t x;
    PORTC = 0b00000000;
    PORTB = 0b00000000;
    DDRC  = 0b00111110;  
    DDRB  = 0b00011111;  
  

    while (1){
         x = read_adc(0);
	 if (x > 500){
        
        PORTC |= 0b00001000;  
        _delay_ms(600);
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000; 
	PORTC |= 0b00010000;  
        _delay_ms(600);
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000; 
	PORTC |= 0b00100000;  
        _delay_ms(600);
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000; 
	PORTB |= 0b00000001;  
        _delay_ms(600);
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000;  
	PORTB |= 0b00010000;  
        _delay_ms(600);
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000;  
        PORTB |= 0b00000010;
        _delay_ms(600);
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000; 
        PORTB |= 0b00000100;  
        _delay_ms(600);
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000;
        PORTB |= 0b00001000;  
        _delay_ms(600);
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000; 
	PORTC |= 0b00000010;
        _delay_ms(600);
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000;  
        PORTC |= 0b00000100;  
        _delay_ms(600); 
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000;  }

	else {
	PORTC |= 0b00111110;  
 	PORTB |= 0b00011111;  
  	_delay_ms(400);
	PORTC &= 0b11000001;  
 	PORTB &= 0b11100000;  
  	_delay_ms(400);
	PORTC |= 0b00111110;  
 	PORTB |= 0b00011111;  
  	_delay_ms(400); }
	
}return 0;
}
